# Awesome Telegram [![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/sindresorhus/awesome)

A curated list of [Telegram](https://telegram.org) resources.

## Боты

* [**@Stickers**](https://telegram.me/Stickers) – Официальный Telegram бот стикеров.
* [**@Forbesbot**](https://telegram.me/Forbesbot) – Official Forbes business news bot.
* [**@TechCrunchBot**](https://telegram.me/TechCrunchBot) – Official TechCrunch technology news bot.
* [**@StoreBot**](https://telegram.me/StoreBot) – Telegram store bot.
* [**@weatherman_bot**](https://telegram.me/weatherman_bot) - Бот показывающий погоду в вашем городе.
* [**@AlertBot**](https://telegram.me/AlertBot) – Create alert to remember messages for you, work on groups to.
* [**@comstatbot**](https://telegram.me/comstatbot) – I gather chats stats, visualize them and help you to engage your community.
* [**@zodiac_bot**](https://telegram.me/zodiac_bot) – Бот показывающий ваш гороскоп.
* [**@movie_adviser_bot**](https://telegram.me/movie_adviser_bot) – Advises best rated movie everyday.
* [**@Cashgamebot**](https://telegram.me/Cashgamebot) – First ever online casino in telegram bot.
* [**@github_gist_bot**](https://t.me/github_gist_bot) - Bot uploads text and documents to GitHub Gist.
* [**@nosticker_bot**](https://t.me/nosticker_bot) - Removes any sticker posted to the group
* [**@daysandbox_bot**](https://t.me/daysandbox_bot) - Removes link cointaining posts from user that joined group in recent 24 hours
* [**@m00dbot**](https://t.me/m00dbot) - [Open Source](https://github.com/dizballanze/m00dbot) bot for self-testing of anxiety and depression.
* [**@MiddlemanBot**](https://t.me/MiddlemanBot) - [Open Source](https://github.com/n1try/telegram-middleman-bot) - Message broker bot to translate HTTP calls into Telegram messages.
* [**@ExpenseBot**](https://t.me/ExpenseBot) - [Open Source](https://github.com/n1try/telegram-expense-bot) - Bot for managing your daily financial expenses.
* [**@voicybot**](https://t.me/voicybot) - bot for translating voice recordings into text (speech-to-text)
* [**@InviteMemberBot**](https://t.me/InviteMemberBot) - membership bot platform for paid Telegram channels and groups
* [**@podcastly_bot**](https://t.me/podcastly_bot) - Find new podcasts, deliver notification on new episods.
* [**@Ya_Disk_Bot**](https://t.me/Ya_Disk_Bot) - Интеграция Яндекс Диск. Этот бот может загружать разные файлы (фото, видео, аудио, пр.) на Яндекс Диск (облачное хранилище).
* [**@StickerShirtsBot**](https://t.me/StickerShirtsBot) - Turn any Telegram Sticker into a cool T-Shirt
* [**@selfmailbot**](https://t.me/selfmailbot) — Forwards all messages to your inbox. For GTD geeks.
* [**@joinhider_bot**](https://github.com/lorien/joinhider_bot) - bot to delete messages about user has joined or left chat
* [**@watchdog_robot**](https://github.com/lorien/watchdog_robot) - bot to delete links, stickers, GIFs, video, photo and other types of messages in chat
* [**@voice_translator_bot**](https://t.me/voice_translator_bot) - bot for translating voice messages into other languages (speech-to-speech).
* [**@TyzenhausBot**](https://t.me/TyzenhausBot) - shared expenses tracking bot.
* [**@pdfbot**](https://t.me/pdfbot) - Telegram bot that can do a lot of things related to PDF files
* [**@IgGramBot**](https://t.me/IgGramBot?start=invite_github) - IgGramBot is a bot that helps you download Instagram videos, photos, IGTV, Reels, Stories & Highlights Instagram from Telegram.
* [**@Plasma_gpt_ai_bot**](https://t.me/plasma_gpt_ai_bot) - AI Telegram bot with access to the latest chatGPT (v4.x) and Midjourney (v.5.x). It can generate AI Images, Text, parse website data, accept voice messages, and much more. It can work in public/private groups for free.
* [**@ResizerTool_bot**](https://t.me/ResizerTool_bot) - бот для изменения размера любого изображения
* [**@SUCH**](https://t.me/such) - feedback and support bot builder for channel admins, bot developers, business owners, and community managers.
* [**@AwakariBit**](https://t.me/AwakariBot) - [Open Source](https://github.com/awakari/bot-telegram) bot for reading the real-time search results from various sources.
* [**@Crexp_bot**](https://t.me/Crexp_bot) bot for tracking crypto transaction and account from various network.
* [**@airnope_bot**](https://telegram.me/airnope_bot) is an [open-source](https://github.com/cuducos/airnope) bot to keep groups clean from cryptocurrency ”airdrop” spam
* [**@Unlock2Link_bot**](https://t.me/Unlock2Link_bot) - is a bot to shorten links and set up challenges like subscribe or follow social media accounts to unlock the link
* [**@el_monitorro_bot**](https://t.me/el_monitorro_bot) - is a [Open Source](https://github.com/ayrat555/el_monitorro) high-performance feed reader as a Telegram bot. It supports RSS, Atom and JSON feeds. Written in Rust.
* [**@HyperTAG_bot**](https://t.me/HyperTAG_bot) - is an [Open Source](https://github.com/Mostafa-Abbasi/HyperTAG) bot that can generate tags and summaries from YouTube videos and links. When added to channels, it can append summary and tags for each new post.
  
### Inline Bots

In all inline bots, you need to enter @botname, type words and wait for response (~1 second)

* [**@gif**](https://telegram.me/gif) – Официальные анимированные GIF.
* [**@vid**](https://telegram.me/vid) – Официальный YouTube видео.
* [**@imdb**](https://telegram.me/imdb) – Official Movies from IMDB.
* [**@wiki**](https://telegram.me/wiki) – Official Articles from Wikipedia.
* [**@bing**](https://telegram.me/bing) – Official Pictures from Bing.
* [**@music**](https://telegram.me/music) – Official Classic music search.
* [**@pic**](https://telegram.me/pic) – Official Pictures from Yandex.
* [**@bold**](https://telegram.me/Bold) – Official Highlight your message with bold, italic or fixed width.
* [**@vote**](https://telegram.me/vote) – Official Pool generator on your conversation.
* [**@like**](https://telegram.me/like) – Official Like button after your message in conversation. 
* [**@foursquare**](https://telegram.me/foursquare) – Official Share the venue with others from Foursquare.
* [**@githubbot**](https://telegram.me/githubbot) – Official notifications about events in your public GitHub.
* [**@memingbot**](https://telegram.me/memingbot) – Простой генератор мемов.
* [**@guggybot**](https://telegram.me/guggybot) – Translate your words on GIFs.
* [**@HideItBot**](https://telegram.me/HideItBot) – Send hidden messages in your conversations.
* [**@MacMagazineBot**](https://telegram.me/MacMagazineBot) – Find news from MacMagazine webpage and share in your conversation.
* [**@automemebot**](https://telegram.me/automemebot) – Мощный генератор мемов.
* [**@myinstantsbot**](https://telegram.me/myinstantsbot) – Search sounds in [Myinstants](https://www.myinstants.com/index/us/).
* [**@dotaresponsesbot**](https://telegram.me/dotaresponsesbot) – Send Dota 2 responses as voice messages.
* [**@relevantxkcdbot**](https://telegram.me/relevantxkcdbot) – Search XKCD comics.
* [**@asciifacesbot**](https://telegram.me/asciifacesbot) – Bot that allows you to append ascii faces to your messages ¯\_(ツ)_/¯
* [**@hidethisbot**](https://telegram.me/hidethisbot) – Bot for hiding messages for/from certain people and sending spoilers.

### Игры

* [**@gamebot**](https://telegram.me/gamebot) – Official telegram bot for HTML5 gaming.
* [**@gamee**](https://telegram.me/gamee) – Official telegram bot for HTML5 gaming of [Gamee](https://www.gamee.com/) platform.
* [**@ludeiBot**](https://telegram.me/ludeiBot) – Play Ludei games directly into your Telegram's chats.
* [**@GamesHDBot**](https://telegram.me/GamesHDBot) – Provides HTML5 high quality games.
* [**@awesomebot**](https://telegram.me/awesomebot) – Simple HTML5 games. All games are open source.
* [**@minegame_bot**](https://telegram.me/minegame_bot) – Play classic puzzle game directly in your messenger. The first visual interactive game bot.
* [**@mytetrisbot**](https://telegram.me/mytetrisbot) – Tetris reborn! Create horizontal lines of ten and get points.
Challenge your friends in MULTIPLAYER mode!
* [**@unobot**](https://telegram.me/unobot) – UNO Bot.
* [**@DefendTheCastle**](https://telegram.me/DefendTheCastle) - Defend your castle and battle with other players.
* [**@andys_tic_tac_toe_bot**](https://t.me/andys_tic_tac_toe_bot) - [Open source](https://github.com/Zhivch1k/AndysTicTacToe) tic-tac-toe game! Play versus bot or your friend using one device.
* [**@TrueMafiaBot**](https://t.me/TrueMafiaBot) - Играй в Мафию в Telegram группах.

### Разработка ботов

* [**@BotFather**](https://telegram.me/botfather) – Official bot to create new bot accounts and manage your existing bots.
* [**@BotSupport**](https://telegram.me/botsupport) – Official bot for platform support.
* [**@botoid**](https://t.me/botoid) - Telegram Developers chat (ru).

### Библиотеки для ботов

#### Python
 * [**python-telegram-bot**](https://github.com/python-telegram-bot/python-telegram-bot) – We have made you a wrapper you can't refuse
 * [**pyTelegramBotAPI**](https://github.com/eternnoir/pyTelegramBotAPI) – A simple, but extensible Python implementation
 * [**telepot**](https://github.com/nickoala/telepot) – Python фреймворк для Telegram Bot API
 * [**permabots**](https://permabots.readthedocs.io/en/latest/) – Connect instant messaging bots (Telegram, Kirk and Messenger) to your APIs.
 * [**django-telegram-bot**](https://github.com/jlmadurga/django-telegram-bot) – Django app to write Telegram bots. Just define commands and how to handle them.
 * [**python-telegram-handler**](https://github.com/sashgorokhov/python-telegram-handler) – A python logging handler that sends logs via Telegram Bot Api.
 * [**tgbot**](https://github.com/PaulSonOfLars/tgbot) - Modular telegram group management bot
 * [**AIOGram**](https://github.com/aiogram/aiogram) - A pretty simple and fully asynchronous framework for Telegram Bot API.
 * [**telethon**](https://github.com/LonamiWebs/Telethon) - Pure Python 3 MTProto API Telegram client library, for bots too!
 * [**pyrogram**](https://github.com/pyrogram/pyrogram) - Telegram MTProto API Python client library framework for users and bots.

#### Javascript/Typescript/Node
 * [**node-telegram-bot-api**](https://github.com/yagop/node-telegram-bot-api) – Telegram Bot API for Node.js
 * [**node-telegram-bot**](https://github.com/depoio/node-telegram-bot) – Client wrapper for Telegram Bot API (Under heavy development)
 * [**Telegraf**](https://github.com/telegraf/telegraf) – Telegram bot framework (JavaScript, Typescript, Node.js)
 * [**telegram.link**](https://github.com/enricostara/telegram.link) – Telegram API library (JavaScript, Node.js)
 * [**@mtproto/core**](https://github.com/alik0211/mtproto-core) – Telegram API (MTProto) client library for browser and nodejs
 * [**grammY**](https://github.com/grammyjs/grammY) – The Telegram Bot Framework. (JavaScript, Typescript, Node.js)
 
#### .Net (C#)
 * [**telegram.bot**](https://github.com/MrRoundRobin/telegram.bot) – Telegram Bot API - C# Client
 * [**TLSharp**](https://github.com/sochix/TLSharp) – Client library implemented in C#. Waiting for contributors!
 * [**WTelegramClient**](https://github.com/wiz0u/WTelegramClient/) - Telegram Client API (MTProto) library written 100% in C# and .NET Standard
  
#### Ruby
 * [**telegram-bot-ruby**](https://github.com/atipugin/telegram-bot-ruby) – Ruby wrapper for Telegram's Bot API
 * [**telegram-rb**](https://github.com/ssut/telegram-rb) – A Ruby wrapper that communicates with the Telegram-CLI
 * [**telegram_bot**](https://github.com/eljojo/telegram_bot) – A charismatic Ruby client for Telegram's Bot API

#### PHP
  * [**php-telegram-bot**](https://github.com/php-telegram-bot/core) – PHP Telegram Bot based on the official Telegram Bot API
  * [**telegram-bot-sdk**](https://github.com/irazasyed/telegram-bot-sdk) – Telegram Bot API PHP SDK. Lets you build Telegram Bots easily! Supports Laravel out of the box
  * [**TelegramBot/Api**](https://github.com/TelegramBot/Api) – Native PHP Wrapper for Telegram BOT API
  * [**Tg-bot-api**](https://github.com/tg-bot-api/bot-api-base) – Simple PHP Wrapper for Telegram BOT API, based on PSR-18 http-client
  * [**Quiec/Boting**](https://github.com/quiec/Boting) – Very basic and easy PHP Wrapper for Telegram BOT API
  * [**Nutgram**](https://github.com/SergiX44/Nutgram) – Fast, powerful and Laravel friendly PHP library to build from simple to the most complex Telegram bots
  * [**MadeLineProto**](https://github.com/danog/MadelineProto) - Async PHP client/server API for the telegram MTProto protocol.
  
#### Go
* [**telegram-bot-api**](https://github.com/go-telegram-bot-api/telegram-bot-api) – Golang bindings for the Telegram Bot API.
* [**telebot**](https://github.com/tucnak/telebot) – Telegram bot framework written in Go
* [**gotelebot**](https://github.com/eternnoir/gotelebot) – Implementation for the Telegram Bot API.
* [**integram**](https://integram.org/) – Integrate Telegram into your workflow.
* [**MTProto**](https://github.com/xelaj/mtproto) – Full native implementation of Telegram Client API on pure Go.
* [**gotd**](https://github.com/gotd/td) – Telegram client, in pure Go. (MTProto API)

#### Java
* [**java-telegram-bot-api**](https://github.com/pengrad/java-telegram-bot-api) - Telegram Bot API for Java.
* [**TelegramBots**](https://github.com/rubenlagus/TelegramBots) – Java library to create bots using Telegram Bots API.
* [**telegram-api**](https://github.com/ex3ndr/telegram-api) – Telegram Api library for java.
* [**telegram-menu-library**](https://github.com/AnyTimeTraveler/telegram-menu-library) – Java library that makes creating and managing clickable menus easy ([demo](https://raw.githubusercontent.com/AnyTimeTraveler/telegram-menu-library/master/media/telegram_media_library_demo.gif)).

#### C++
* [**tgbot-cpp**](https://github.com/reo7sp/tgbot-cpp) – C++ library for Telegram bot API.
* [**telegram-bot-api**](https://github.com/StefanoBelli/xxtelebot) - C++ Telegram Bot API.
* [**Universal-Arduino-Telegram-Bot**](https://github.com/witnessmenow/Universal-Arduino-Telegram-Bot) - A Arduino Telegram Bot API.

#### Rust
* [**Frankenstein**](https://github.com/ayrat555/frankenstein) - Telegram bot API client for Rust.

#### Kotlin
* [**KtGram**](https://github.com/vendelieu/telegram-bot) - Telegram Bot API wrapper with handy Kotlin DSL.
* [**kotlogram**](https://github.com/badoualy/kotlogram) - Easy to use and straightforward Kotlin (and Java) binding of Telegram API
* [**kotlin-telegram-bot**](https://github.com/seik/kotlin-telegram-bot) - A wrapper for the Telegram Bot API written in Kotlin.
* [**tgbotapi**](https://github.com/InsanusMokrassar/TelegramBotAPI) - Type-safe library for work with Telegram Bot API.

#### Crystal
* [**Tourmaline**](https://github.com/watzon/tourmaline) - Batteries included Telegram bot API wrapper for Crystal

#### Dart
* [**TeleDart**](https://github.com/DinoLeung/TeleDart) - A Dart library interfacing with the latest Telegram Bot API.

#### FreePascal
  * [**fp-telegram**](https://github.com/Al-Muhandis/fp-telegram) - FreePascal wrapper for Telegram's bot API

#### Example by Telegram

[https://core.telegram.org/bots/samples](https://core.telegram.org/bots/samples)

## Инструменты

 * [**botan**](http://botan.io/) – The most advanced analytics for your Telegram bot.
 * [**Maltego Telegram**](https://github.com/vognik/maltego-telegram) - Rich Set of Entities & Transforms for OSINT on Telegram with Maltego
 * [**shell2telegram**](https://github.com/msoap/shell2telegram) - Telegram bot constructor from command-line.
 * [**telegram-send**](https://github.com/rahiel/telegram-send) - Send messages and files over Telegram from the command-line.
 * [**telegram-id**](https://github.com/GabrielRF/telegram-id) - Guide on how to get Telegram IDs

## Темы

 * [**Another Storm**](https://github.com/MairwunNx/AnotherStorm) – The most popular true dark theme for Telegram Desktop.
 * [**Dracula**](https://github.com/dracula/telegram) – A dark theme for Telegram Desktop

## Группы

* [**@awesometelegram**](https://telegram.me/awesometelegram) – Official group for this awesome list.
* [**@javascript_ru**](https://t.me/javascript_ru) - Talking about Javascript
* [**@css_ru**](https://t.me/css_ru) - Discussion about CSS, and solving issues
* [**@frontend_ru**](https://t.me/frontend_ru) - Community of web-frontend developers
* [**@pythontelegrambotgroup**](https://telegram.me/pythontelegrambotgroup) – Official group for discussions around python-telegram-bot library.
* [**@flowtype_ru**](https://telegram.me/flowtype_ru) - Flow type static checker for JS
* [**@geeksChat**](https://telegram.me/geeksChat) – Discussion about Telegram, Tech News and Bots.
* [**@macOS_ru**](https://telegram.me/macOS_ru) - Discussion about macOS (russian)
* [**The Devs Group**](https://thedevs.network/) - A network of groups for developers and programmers.
* [**awesome-telegram-dev-groups-uz**](https://github.com/doniyor2109/awesome-telegram-dev-groups-uz) - Collection of Uzbek Telegram dev groups

## Каналы

### Официальные

* [**Telegram**](https://telegram.me/telegram) – The official Telegram news on Telegram.
* [**BotNews**](https://telegram.me/botnews) – The official source for news about the Telegram Bot API.
* [**Telegram Desktop**](https://telegram.me/desktop) – The official source for news about Telegram Desktop updates.
* [**Durov's Channel**](https://telegram.me/durov) – The official durov's (founder) channel.

### Не официальные
* [**Hacker Feed**](https://telegram.me/hacking_group_channel) – Get latest updates from Information Security world.
* [**WorldChannels**](https://telegram.me/WorldChannels) – World catalog of Telegram Channels and Bots.
* [**linuxgram**](https://telegram.me/linuxgram) – News and information from linux world.
* [**HistoryInPictures**](https://telegram.me/HistoryInPictures) – If you want to understand today, you have to search yesterday.
* [**bash.im**](https://t.me/bash_im) - Everyday quotes from formerly bash.org site
* [**travelpics**](https://telegram.me/travelpics) – Best photos from all over the world.
* [**salvadordali1**](https://telegram.me/salvadordali1) – Great artists, Great works daily update.
* [**hacker_news_feed**](https://telegram.me/hacker_news_feed) – Top stories from Hacker News.
* [**startupjobs**](https://telegram.me/startupjobs) – Job listing from startups.
* [**sgexpo**](https://telegram.me/sgexpo) – Daily update of Singapore expo events.
* [**geeksChannel**](https://telegram.me/geeksChannel) – Join the telegram Army.
* [**The Devs**](https://t.me/thedevs) - The Devs community on Telegram.
* [**Coding at Night**](https://t.me/codingatnight) - Daily news, articles & tools pertaining to programming and technology.
* [**Elixir Formula**](https://t.me/elixir_formula) - Telegram channel for elixir developers and other people who interested in Elixir-lang.
* [**Agile Methods**](https://t.me/agilemethods) - Books, blog posts, conferences and much more about agile methods.
* [**Engineer Addict**](https://t.me/EngineerAddict) - Channel for those who interested in electronics and engineering.
* [**Opensource Findings**](https://t.me/opensource_findings) - Links and concise reviews on open-source tools, news, and talks about language-design, trends and fundamentals.
* [**Cateinum**](https://t.me/cateinum) - Relaxation channel, fresh cat picture every hour (at exactly XX:00).
* [**CatOps**](https://t.me/catops) - News and notes about DevOps, SRE, and more.
* [**Kubernative**](https://t.me/kubernative) - News, tools, and articles about Kubernetes and other cloud native projects for DevOps & SRE engineers.
* [**Raycast New Extensions**](https://t.me/raycast_new_extensions) - Automated feed with recently added extensions from the Raycast Store

## Магазины ботов

* [**Telegram Bot Store**](https://storebot.me)
* [**Telegram Bot Store (StoreOfBot)**](https://telegram.me/StoreOfBot)
* [**Telegram Bot List**](https://botlist.net/bots/telegram)
* [**tgdev.io**](https://tgdev.io/) – List of boots

## Telegram Directory

* [**TDirectory**](https://tdirectory.me/) - Search popular Telegram Channels, Groups and Bots
* [**tgram.io**](https://tgram.io/) - Telegram groups list, telegram group chat, telegram chat rooms, telegram groups to join
* [**Awesome-grammY**](https://github.com/grammyjs/awesome-grammY) - This is a curated list of projects that are using grammY.
* [**Awesome DevOps Telegram**](https://github.com/palark/awesome-devops-telegram) - A curated list of Telegram channels and groups dedicated to DevOps, SRE, and Platform Engineering in English.
* [**DirectoryTG**](https://directorytg.com/) - Explore Premium Telegram Channels, Apps, Games, Bots, and Groups

## Сообщество

* Reddit:
  * [**/r/Telegram**](https://www.reddit.com/r/Telegram): General subreddit.
  * [**/r/TelegramStickersShare**](https://www.reddit.com/r/TelegramStickersShare): Stickers subreddit.
  * [**/r/TelegramBots**](https://www.reddit.com/r/TelegramBots): Bots subreddit.
* [**Telegram Developers Community**](http://dev.storebot.me)

## Лицензия

[![CC0](https://licensebuttons.net/p/zero/1.0/88x31.png)](https://creativecommons.org/publicdomain/zero/1.0/)
